## org.eclipse.datatools.modelbase.sql.query
Interface UpdateSourceExprList

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject, UpdateSource

    public interface UpdateSourceExprList

extends UpdateSource

A representation of the model object 'Update Source Expr List'.

The following features are supported:

- `Value Expr List`

See Also:
  `SQLQueryModelPackage.getUpdateSourceExprList()`

Method Summary
`org.eclipse.emf.common.util.EList` `getValueExprList()` Returns the value of the 'Value Expr List' containment reference list.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.UpdateSource
`getUpdateAssignmentExpr, setUpdateAssignmentExpr`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getValueExprList

    org.eclipse.emf.common.util.EList getValueExprList()

  Returns the value of the 'Value Expr List' containment reference list. The list contents are of type `QueryValueExpression`. It is bidirectional and its opposite is '`Update Source Expr List`'.

  If the meaning of the 'Value Expr List' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Expr List' containment reference list.
  See Also:
    `SQLQueryModelPackage.getUpdateSourceExprList_ValueExprList()`, `QueryValueExpression.getUpdateSourceExprList()`